For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

List all tags

get

Returns a list of all tags, optionally filtered by query parameters.

Query parameters
Responses
200

OK

application/json
get/api/tags
GET /api/tags HTTP/1.1
Accept: */*
{
  "data": [
    {
      "id": 1,
      "value": {
        "target_type": "data_field",
        "type": "business_concept"
      }
    }
  ]
}

Create a new tag

post

Creates a new tag with the provided value.

Body
Responses
201

Created

application/json
post/api/tags
POST /api/tags HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "tag": {
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}
{
  "data": {
    "id": 1,
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}

Search tags

post

Search tags using filters in the request body.

Body

Search filters for tags. Can filter by value fields (e.g., target_type).

Responses
200

OK

application/json
post/api/tags/search
POST /api/tags/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "value": {
    "target_type": "ingest"
  }
}
{
  "data": [
    {
      "id": 1,
      "value": {
        "target_type": "data_field",
        "type": "business_concept"
      }
    }
  ]
}

Get a tag by ID

get

Returns a single tag by its ID.

Path parameters
idintegerRequired

Tag ID

Responses
200

OK

application/json
get/api/tags/{id}
GET /api/tags/{id} HTTP/1.1
Accept: */*
{
  "data": {
    "id": 1,
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}

Update a tag

put

Updates an existing tag with new data.

Path parameters
idintegerRequired

Tag ID

Body
Responses
200

OK

application/json
put/api/tags/{id}
PUT /api/tags/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "tag": {
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}
{
  "data": {
    "id": 1,
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}

Delete a tag

delete

Permanently deletes a tag.

Path parameters
idintegerRequired

Tag ID

Responses
204

Tag deleted

No content

delete/api/tags/{id}
DELETE /api/tags/{id} HTTP/1.1
Accept: */*

No content

Update a tag

patch

Updates an existing tag with new data.

Path parameters
idintegerRequired

Tag ID

Body
Responses
200

OK

application/json
patch/api/tags/{id}
PATCH /api/tags/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "tag": {
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}
{
  "data": {
    "id": 1,
    "value": {
      "target_type": "data_field",
      "type": "business_concept"
    }
  }
}

Last updated